"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpObject = void 0;
const cookie_1 = require("cookie");
class HttpObject {
    constructor() {
        this.headers = {};
        this.cookies = {};
    }
    setCookie(name, value, options) {
        this.cookies[name] = value;
        this.setHeader('set-cookie', (0, cookie_1.serialize)(name, value, options));
    }
    setHeader(name, value) {
        this.headers[name.toLowerCase()] = value;
    }
    getHeader(name) {
        return this.headers[name.toLowerCase()];
    }
}
exports.HttpObject = HttpObject;
